# Generated from get_process_mem-0.2.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name get_process_mem

Name: rubygem-%{gem_name}
Version: 0.2.7
Release: 1%{?dist}
Summary: Use GetProcessMem to find out the amount of RAM used by any process
License: MIT
URL: https://github.com/schneems/get_process_mem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(sys-proctable) >= 1.2
# BuildRequires: rubygem(sys-proctable) < 2
# BuildRequires: rubygem(test-unit) >= 3
# BuildRequires: rubygem(test-unit) < 4
BuildArch: noarch

%description
Get memory usage of a process in Ruby .


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/appveyor.yml
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/get_process_mem.gemspec
%{gem_instdir}/test

%changelog
* Tue May 25 2021 Carlos Mogas da Silva <r3pek@r3pek.org> - 0.2.7-1
- Initial package
